API Explorer 1 endpoints

Get Error Messages

GET /obp/v7.0.0/api/error-messages

OBPv7.0.0-getErrorMessages No role required DocumentationAPI

Returns the catalog of OBP error codes and messages defined in this API instance.

Each entry has the OBP error code (e.g. OBP-00001), the internal name of the constant, and the human-readable message text.

The catalog is derived by reflecting over ErrorMessages at first access and cached for the lifetime of the server.

No Authentication is Required.

User Authentication is Optional. The User need not be logged in.

JSON response body fields (3)
code
125
message
123456
name
ACCOUNT_MANAGEMENT_FEE
Example success response
{
  "error_messages": [
    {
      "code": "OBP-00001",
      "name": "HostnameNotSpecified",
      "message": "Hostname not specified. Could not get hostname from Props."
    }
  ]
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getErrorMessages